# The Red Matrix: view/php/theme_init.php File Reference

All Classes Namespaces Files Functions Variables Pages
theme_init.php File Reference

## Variables

| $channel = get_app()->get_channel()

## Variable Documentation

$channel = get_app()->get_channel()

Those who require this feature will know what to do with it. Those who don't, won't. Eventually this functionality needs to be provided by a module such that permissions can be enforced. At the moment it's more of a proof of concept; but sufficient for our immediate needs.

Referenced by admin_page_channels(), api_call(), api_user(), appman_content(), attach_mkdir(), attach_store(), bbcode(), blocks_content(), bookmark_add(), bookmarks_content(), build_sync_packet(), channel_content(), channel_init(), channel_remove(), chat_content(), chat_init(), chat_post(), chatroom_create(), chatroom_destroy(), cloud_init(), connections_init(), connections_post(), connedit_content(), connedit_init(), connedit_post(), conversation(), design_tools(), diaspora_msg_build(), diaspora_pubmsg_build(), directory_run(), display_content(), editblock_content(), editlayout_content(), editpost_content(), editwebpage_content(), event_addtocal(), events_content(), events_post(), feed_init(), filestorage_content(), filestorage_post(), fix_attached_file_permissions(), get_feed_for(), get_public_feed(), handle_feed(), handle_tag(), hcard_init(), home_init(), import_post(), importelm_post(), invite_content(), is_public_profile(), item_photo_menu(), item_post(), item_store(), item_store_update(), items_fetch(), layouts_content(), magic_init(), mail_content(), mail_post(), menu_add_item(), menu_edit_item(), message_content(), mitem_content(), mitem_post(), mood_init(), nav(), network_content(), network_init(), new_contact(), notifier_run(), parse_app_description(), photo_upload(), photos_albums_list(), photos_content(), photos_create_item(), photos_list_photos(), ping_init(), poke_init(), post_activity_item(), post_to_red_delete_comment(), post_to_red_delete_post(), post_to_red_displayAdminContent(), post_to_red_post(), probe_content(), process_channel_sync_delivery(), process_delivery(), process_mail_delivery(), profile_init(), profile_photo_init(), profile_photo_post(), profiles_content(), profiles_post(), profperm_init(), rbmark_content(), rbmark_post(), rpost_content(), send_message(), settings_post(), sources_post(), start_delivery_chain(), store_diaspora_comment_sig(), tagger_content(), thing_content(), thing_init(), uexport_init(), update_remote_id(), wall_attach_post(), wall_upload_post(), webpages_content(), wfinger_init(), widget_settings_menu(), zot_build_packet(), zot_encode_locations(), zot_finger(), and zot_refresh().